<div class="ui grid" id="login-form">
  <div class="six wide computer five wide tablet two wide mobile column"></div>
  <div class="four wide computer six wide tablet twelve wide mobile column">
    <h1 class="ui right aligned container farsi">ورود</h1>
    <form (ngSubmit)="onSubmit()" class="ui large form" [formGroup]="loginForm" [ngClass]="{ 'error': loginForm.invalid && loginForm.touched }">
      <div class="field" [ngClass]="{ 'error': loginForm.controls.username.invalid && loginForm.controls.username.touched }">
        <div class="ui left icon input success">
          <i class="mobile alternate icon"></i>
          <input name="username" type="text" id="username" placeholder="Mobile" formControlName="username">
        </div>
        <!--username validation errors-->
        <div class="ui error message" *ngIf="loginForm.controls.username.invalid && loginForm.controls.username.touched">
          <ul class="list">
            <li *ngIf="loginForm.controls.username.errors.required">
              نمی‌تواند خالی باشد
            </li>
            <li *ngIf="loginForm.controls.username.errors.length">
              تعداد ارقام غیر مجاز
            </li>
            <li *ngIf="loginForm.controls.username.errors.invalid">
              شماره موبایل نامعتبر
            </li>
          </ul>
        </div>
      </div>
      <div class="field">
        <div class="ui left icon input">
          <i class="lock icon"></i>
          <input name="password" type="password" id="password" placeholder="Password" formControlName="password">
        </div>
        <!--password validation errors-->
        <div class="ui error message" *ngIf="loginForm.controls.password.invalid && loginForm.controls.password.touched">
          <ul class="list">
            <li *ngIf="loginForm.controls.password.errors.minlength">حداقل 6 کاراکتر باشد</li>
            <li *ngIf="loginForm.controls.password.errors.required">نمی‌تواند خالی باشد</li>
          </ul>
        </div>
      </div>
      <div class="ui right aligned container">
        <button class="green ui button centered farsi" tabindex="0" [disabled]="loginForm.pristine || loginForm.invalid">ورود</button>
      </div>
    </form>
  </div>
</div>
